#
# spec file for package perl-Compress-Bzip2
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Compress-Bzip2
Version:        2.24
Release:        3.11
%define cpan_name Compress-Bzip2
Summary:        Interface to Bzip2 compression library
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Compress-Bzip2/
Source0:        http://www.cpan.org/authors/id/R/RU/RURBAN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
Recommends:     perl(Compress::Raw::Bzip2) >= 2.060
Recommends:     perl(Compress::Zlib) >= 1.19
Recommends:     perl(IO::Compress::Bzip2) >= 2.060
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  libbz2-devel
Requires:       bzip2
# MANUAL END

%description
The _Compress::Bzip2_ module provides a Perl interface to the *bzip2*
compression library (see AUTHOR for details about where to get _Bzip2_). A
relevant subset of the functionality provided by _bzip2_ is available in
_Compress::Bzip2_.

All string parameters can either be a scalar or a scalar reference.

The module can be split into two general areas of functionality, namely
in-memory compression/decompression and read/write access to _bzip2_ files.
Each of these areas will be discussed separately below.

*NOTE*

_Compress::Bzip2_ is just a simple _bzip2_ binding, comparable to the old
Compress::Zlib library. It is not well integrated into PerlIO, use the
preferred IO::Compress::Bzip2 instead.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ANNOUNCE Changes COPYING NEWS README.md

%changelog
* Wed Dec  9 2015 coolo@suse.com
- updated to 2.24
  see /usr/share/doc/packages/perl-Compress-Bzip2/Changes
  2.23 2015-06-08 rurban
  - HP-UX lddlflags fix by Merjin Brand (RT #105096)
    "ld: Unrecognized argument: -Wl,-E"
  - -Wformat fixes
  2.24 2015-12-08 rurban
  - Silence gcc-5 optimizer warning (RT #105647)
    with internal BUILD_BZLIB=1
  - Improve kwalitee test
* Thu Apr 16 2015 coolo@suse.com
- updated to 2.22
  see /usr/share/doc/packages/perl-Compress-Bzip2/Changes
  2.21 2015-02-17 rurban
  - Add leaktrace test
  - Add .gitignore
  2.22 2015-02-17 rurban
  - Fixed huge decompress memory leak, leaking every single XS outbut buffer.
  - Better memory leak testcase with Memory::Dump, t/090-memory-usage.pl
    (RT #102211 by Nick Koston)
  - clarify docs that deflate = compress, inflate = uncompress
* Fri Feb  6 2015 coolo@suse.com
- updated to 2.20
  - fixed generated SIGNATURE (EUMM parallel make issue)
  2.20 2015-01-15 rurban
  - Convert README to markdown, mention the preferred IO::Compress::Bzip2 in
    the docs (done by Pattarawat Chormai, GH PR #2)
* Mon Sep 15 2014 coolo@suse.com
- updated to 2.18
  - [cpan #68572] add ccdlflags for show_bzversion missing -R also, similar to the
    fix in 2.11. Not a EUMM bug.
  - require constant 1.04 (since 5.8) to accept hashrefs.
  - add META to MANIFEST
* Fri Oct  4 2013 coolo@suse.com
- updated to 2.17
  - Fixed license in README (thanks to John Peacock)
- remove Compress-Bzip2-2.09.diff
* Sat Jul 27 2013 coolo@suse.com
- update to 2.16
  - pod typo fixed by GH dsteinbrunner.
* Mon Jun  3 2013 coolo@suse.com
- updated to 2.15, no changelog
* Thu Mar  7 2013 coolo@suse.com
- update license to new format
* Tue Apr 12 2011 chris@computersalat.de
- fix license
- remove Author from spec
* Tue Apr 12 2011 kukuk@novell.com
- Fix compiler warning about missing return statement
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Dec 10 2009 chris@computersalat.de
- mods to build env
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 28 2009 chris@computersalat.de
- initial pkg 2.09
